package com.realnet.vpspack.Controllers;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import com.fasterxml.jackson.core.JsonProcessingException;
import org.springframework.web.bind.annotation.CrossOrigin;
import com.fasterxml.jackson.databind.JsonMappingException;
import com.realnet.config.EmailService;
import com.realnet.users.entity1.AppUser;
import com.realnet.users.service1.AppUserServiceImpl;
import com.fasterxml.jackson.databind.ObjectMapper;
import org.springframework.data.domain.*;
import com.realnet.fnd.response.EntityResponse;
import org.springframework.http.*;
import org.springframework.beans.factory.annotation.*;
import com.realnet.vpspack.Entity.Supplier;
import com.realnet.vpspack.Services.SupplierService ;






@RequestMapping(value = "/Supplier")
 @CrossOrigin("*") 
@RestController
public class SupplierController {
	@Autowired
	private SupplierService Service;

@Value("${projectPath}")
	private String projectPath;
 






	@PostMapping("/Supplier")
		  public Supplier Savedata(@RequestBody Supplier data) {
		Supplier save = Service.Savedata(data)	;





		System.out.println("data saved..." + save);

 return save;
	  }
@PutMapping("/Supplier/{id}")
	public  Supplier update(@RequestBody Supplier data,@PathVariable Integer id ) {
		Supplier update = Service.update(data,id);
		System.out.println("data update..." + update);
		return update;
	}	 
//	get all with pagination
	@GetMapping("/Supplier/getall/page")
	public Page<Supplier> getall(@RequestParam(value = "page", required = false) Integer page,
			@RequestParam(value = "size", required = false) Integer size) {
		Pageable paging = PageRequest.of(page, size);
		Page<Supplier> get = Service.getAllWithPagination(paging);

		return get;

	}	
	@GetMapping("/Supplier")
	public List<Supplier> getdetails() {
		 List<Supplier> get = Service.getdetails();		
		return get;
}
// get all without authentication 

	@GetMapping("/token/Supplier")
	public List<Supplier> getallwioutsec() {
		 List<Supplier> get = Service.getdetails();		
		return get;
}
@GetMapping("/Supplier/{id}")
	public  Supplier  getdetailsbyId(@PathVariable Integer id ) {
		Supplier  get = Service.getdetailsbyId(id);
		return get;
	}
@DeleteMapping("/Supplier/{id}")
	public  ResponseEntity<?> delete_by_id(@PathVariable Integer id ) {
	Service.delete_by_id(id);
			return new ResponseEntity<>(new EntityResponse("Deleted"), HttpStatus.OK);
	
	}







}